# -*- coding: utf-8 -*-

def calc_info(user_infos):
    """calcule secureid : identifiant crypté unique pour chaque utilisateur"""
    # vérification des groupes de l'utilisateur
    classes = set()
    if 'eleves' in user_infos['user_groups']:
        classes.add(user_infos['Divcod'][0])
    if 'professeurs' in user_infos['user_groups']:
        for group in user_infos['user_groups']:
            if group.startswith('profs-'):
                classes.add(group[6:])
    return list(classes)
